Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 124767 - games-emulation/mupen64-alsasnd-0.4 crashes games-emulation/mupen64-0.5 (signal 17)
Summary: games-emulation/mupen64-alsasnd-0.4 crashes games-emulation/mupen64-0.5 (sign...
Status: RESOLVED WONTFIX
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Games (show other bugs)
Hardware: x86 Linux
: High normal (vote)
Assignee: Gentoo Games
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-03-03 03:57 UTC by David Raison
Modified: 2010-01-24 20:36 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David Raison 2006-03-03 03:57:58 UTC
Where mupen64-0.4-r2 worked at least half of the time, version 0.5 now crashes upon every rom with the following message:
----------------
file found
rom size: 2097152 bytes (or 2 Mb or 16 Megabits)
byteswaping rom...
rom byteswaped
rom loaded succesfully
80 37 12 40
ClockRate=f
Version:1444
CRC: 95013ccc 73f7c072
name: Chrome demo
Manufacturer: 0
Cartridge_ID: 0
Country Code : 0
size: 4096
PC= 80200000
md5 code:2628818AF2FEE3C649AAF8627981A63D
eeprom type:0
init timer!
memory initialized
Signal number 17 caught:
        errno = 0 (Success)
----------------

On the emutalk.net forums, hacktarux (devel) claims it to be a problem with gentoo's portage (i.e. the applied patch / CXFLAGS): http://www.emutalk.net/showthread.php?t=27871

I'm going to play around a little with the ebuild and see if I can find the problem.
Comment 1 David Raison 2006-03-03 04:16:19 UTC
actually, the problem lies within the mupen64-alsasnd-0.4
Comment 2 David Raison 2006-03-03 04:47:56 UTC
strace on mupen64 upon loading a rom using the alsasnd plugin:

--------------
write(1, "init timer!\n", 12init timer!
)           = 12
mmap2(NULL, 8392704, PROT_READ|PROT_WRITE|PROT_EXEC, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xb2bc1000
mprotect(0xb2bc1000, 4096, PROT_NONE)   = 0
clone(child_stack=0xb33c14c4, flags=CLONE_VM|CLONE_FS|CLONE_FILES|CLONE_SIGHAND|CLONE_THREAD|CLONE_SYSVSEM|CLONE_SETTLS|CLONE_PARENT_SETTID|CLONE_CHILD_CLEARTID, parent_tidptr=0xb33c1bf8, {entry_number:6, base_addr:0xb33c1bb0, limit:1048575, seg_32bit:1, contents:0, read_exec_only:0, limit_in_pages:1, seg_not_present:0, useable:1}, child_tidptr=0xb33c1bf8) = 20124
ioctl(8, FIONREAD, [0])                 = 0
poll([{fd=8, events=POLLIN}], 1, 0)     = 0
write(8, "\f\0\4\0\224\0\340\1@\0\0\0\0\0\0\0005\30\4\0\315\7\340"..., 1252) = 1252
ioctl(8, FIONREAD, [0])                 = 0
poll([{fd=8, events=POLLIN, revents=POLLIN}], 1, -1) = 1
ioctl(8, FIONREAD, [128])               = 0
read(8, "\34|\221RE\0\340\1\353\0\0\0005)\227\3\0009\10D\0\0\0\000"..., 128) = 128
ioctl(8, FIONREAD, [0])                 = 0
ioctl(8, FIONREAD, [0])                 = 0
poll([{fd=8, events=POLLIN, revents=POLLIN}], 1, -1) = 1
ioctl(8, FIONREAD, [32])                = 0
read(8, "\34|\353RE\0\340\1W\1\0\0E)\227\3\0\0\340\1H+`\10\210\201"..., 32) = 32
ioctl(8, FIONREAD, [0])                 = 0
ioctl(8, FIONREAD, [0])                 = 0
poll(memory initialized
Signal number 17 caught:
        errno = 0 (Success)
[{fd=8, events=POLLIN}], 1, -1)    = -1 EINTR (Interrupted system call)
------------------

I tried emerging the plugin without the gtk patch or the gtk-related parts in both the gentoo.patch and the ebuild, to no avail :(
I'm just not far enough into this stuff to know what to do next or even how to properly interpret the strace results.
Comment 3 Mr. Bones. (RETIRED) gentoo-dev 2006-03-03 07:46:58 UTC
how about posting the output from emerge --info
Comment 4 David Raison 2006-03-03 07:59:29 UTC
Portage 2.0.54 (default-linux/x86/2005.0, gcc-3.4.5, glibc-2.3.5-r2, 2.6.14-gentoo-r5 i686)
=================================================================
System uname: 2.6.14-gentoo-r5 i686 Intel(R) Pentium(R) M processor 1500MHz
Gentoo Base System version 1.6.14
dev-lang/python:     2.3.5-r2, 2.4.2
sys-apps/sandbox:    1.2.12
sys-devel/autoconf:  2.13, 2.59-r6
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r1
sys-devel/binutils:  2.16.1
sys-devel/libtool:   1.5.22
virtual/os-headers:  2.6.11-r2
ACCEPT_KEYWORDS="x86"
AUTOCLEAN="yes"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=pentium-m -fomit-frame-pointer -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/2/share/config /usr/kde/3.4/env /usr/kde/3.4/share/config /usr/kde/3.4/shutdown /usr/kde/3/share/config /usr/lib/X11/xkb /usr/lib/mozilla/defaults/pref /usr/share/config /usr/share/texmf/dvipdfm/config/ /usr/share/texmf/dvips/config/ /usr/share/texmf/tex/generic/config/ /usr/share/texmf/tex/platex/config/ /usr/share/texmf/xdvi/ /var/qmail/control"
CONFIG_PROTECT_MASK="/etc/gconf /etc/terminfo /etc/env.d"
CXXFLAGS="-O2 -march=pentium-m -fomit-frame-pointer -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoconfig distlocks sandbox sfperms strict"
GENTOO_MIRRORS="http://gentoo.inode.at/ ftp://ftp.easynet.nl/mirror/gentoo/ http://gentoo.mirror.icd.hu/ http://ftp.easynet.nl/mirror/gentoo/"
LANG="en_GB.UTF-8"
LC_ALL="en_GB.UTF-8"
LINGUAS="en"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage /usr/local/sci"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="x86 X a52 aac acpi alsa apm audiofile avi bitmap-fonts bluetooth bzip2 cdr crypt cups curl divx4linux dts dvd dvdr emboss encode ethereal exif expat fam ffmpeg flac foomaticdb fortran freetype gd gif gimp gimpprint glut gmp gphoto2 gpm gstreamer gtk gtk2 idn imagemagick imlib ipv6 java jpeg junit lcms ldap libg++ libwww mad matroska mhash mikmod mmx mmxext mng mono motif mp3 mpeg msn ncurses nls nptl nptlonly nvidia ogg oggvorbis opengl oscar pam pcre pdflib perl plotutils png ppds python quicktime readline real recode samba scanner sdl spell sqlite sse sse2 ssl svga tcltk tcpd tetex theora tiff truetype truetype-fonts type1-fonts udev unicode usb vcd vorbis wifi win32codecs wxwindows xinerama xml xml2 xosd xprint xscreensaver xv xvid yahoo zlib linguas_en userland_GNU kernel_linux elibc_glibc"
Unset:  ASFLAGS, CTARGET, LDFLAGS
Comment 5 Disenchanted (RETIRED) gentoo-dev 2006-05-06 21:17:38 UTC
as vapier said
Comment 6 Mitchell LeBlanc 2006-08-07 06:53:01 UTC
I can also confirm that this is the same case on my system;

emerge --info
Portage 2.1.1_pre4-r4 (default-linux/x86/2006.0, gcc-4.1.1/vanilla, glibc-2.4-r4, 2.6.17-emission6 i686)
=================================================================
System uname: 2.6.17-emission6 i686 AMD Athlon(tm) XP 2600+
Gentoo Base System version 1.12.1
Last Sync: Mon, 07 Aug 2006 06:00:08 +0000
app-admin/eselect-compiler: 2.0.0_rc2-r1
dev-lang/python:     2.4.3-r1
dev-python/pycrypto: 2.0.1-r5
dev-util/ccache:     [Not Present]
dev-util/confcache:  [Not Present]
sys-apps/sandbox:    1.2.18.1
sys-devel/autoconf:  2.13, 2.60
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2
sys-devel/binutils:  2.17-r4
sys-devel/gcc-config: [Not Present]
sys-devel/libtool:   1.5.22
virtual/os-headers:  2.6.16
ACCEPT_KEYWORDS="x86 ~x86"
AUTOCLEAN="yes"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=athlon-xp -fomit-frame-pointer -pipe -fno-ident -frename-registers"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/X11/xkb /usr/share/config"
CONFIG_PROTECT_MASK="/etc/env.d /etc/env.d/java/ /etc/eselect/compiler /etc/gconf /etc/java-config/vms/ /etc/revdep-rebuild /etc/terminfo"
CXXFLAGS="-O2 -march=athlon-xp -fomit-frame-pointer -pipe -fno-ident -frename-registers -fvisibility-inlines-hidden"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoconfig distlocks metadata-transfer sandbox sfperms strict"
GENTOO_MIRRORS="http://distfiles.gentoo.org http://distro.ibiblio.org/pub/linux/distributions/gentoo"
LDFLAGS="-Wl,-O1 -Wl,--as-needed -Wl,--hash-style=both"
LINGUAS=""
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --delete-after --stats --timeout=180 --exclude='/distfiles' --exclude='/local' --exclude='/packages'"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/overlays/conrad /usr/local/portage /usr/local/overlays/vmware"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="16bit 3dnow 3dnowext 7zip X aac alsa apm applet audiofile avi berkdb bitmap-fonts bootsplash bzip2 cairo cd cdb cdparanoia cdr cli cpudetection crypt ctype dba dbus dhcp dlloader dri dvd eds elibc_glibc emboss encode esd ethereal evo evolution exif expat fam fastbuild ffmpeg firefox flac font-server ftp gd gdbm gif glut glx gmp gnome gphoto2 gpm gstreamer gtk gtk2 gtkhtml guile hal idn imlib input_devices_keyboard input_devices_mouse ipv6 isdnlog java javascript jpeg kde kernel_linux lcms libg++ libwww mad memlimit mikmod mmx mng mono motif mp3 mpeg ncurses nls nocardbus nptl nptlonly nvidia ogg opengl openntpd pam pcre pdflib perl pic png posix pppd python qt qt3 qt4 readline reflection reiserfs sdl session simplexml slang soap sockets spell spl sse ssl tcltk tcpd tiff tokenizer toolbar truetype truetype-fonts type1-fonts udev unicode userland_GNU video_cards_nvidia vorbis win32codecs x86 xine xml xml2 xorg xsl xv xvid zlib"
Unset:  CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LC_ALL, MAKEOPTS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 7 Samuli Suominen gentoo-dev 2010-01-24 18:51:11 UTC
History. Replaced by mupen64plus.